releases:
  - name: b-wazuh
    namespace: b-wazuh
    chart: ./
    values:
      - images:
          dashboard:
            repository: wazuh/wazuh-dashboard
            tag: 4.4.1
          indexer:
            repository: wazuh/wazuh-indexer
            tag: 4.4.1
          managerMaster:
            repository: wazuh/wazuh-manager
            tag: 4.4.1
          managerWorker:
            repository: wazuh/wazuh-manager
            tag: 4.4.1
        config:
          imagePullPolicy: IfNotPresent
          updateStrategy: Recreate
          debug: false
          istio: false
          cred:
            api:
              password: QnNvVHp0WmYzTnpXOVd2U09RSlBwRXc4
              username:
            authd:
              password: QnNvVHp0WmYzTnpXOVd2U09RSlBwRXc4
            cluster:
              key: WjdFRDRHZkVCdGJGcmF6RHo1SkI1NU1B
            dashboard:
              password: QnNvVHp0WmYzTnpXOVd2U09RSlBwRXc4
              username:
            indexer:
              password: QnNvVHp0WmYzTnpXOVd2U09RSlBwRXc4
              username:
          dashboard:
            replicas: 1
          indexer:
            replicas: 1
            baseUrl: https://wazuh-indexer-0.wazuh-indexer:9200
            resources:
              requests:
                cpu: 500m
                memory: 1Gi
          managerMaster:
            replicas: 1
          managerWorker:
            replicas: 1
          wazuh:
            hostname: ''
            baseUrl: ''
            replicas: 1
            resources:
              limits:
                cpu: 500m
                memory: 1Gi
              requests:
                cpu: 500m
                memory: 1Gi
            secret:
              enabled: true
        service:
          dashboard:
            type: NodePort
            targetPort: 5601
            nodePorts:
              http: 30000
            lbPorts:
              http: 443
          indexer:
            type: ClusterIP
            nodePorts:
              http: 9200
            lbPorts:
              http: 9300
          wazuh:
            type: NodePort
            nodePorts:
              registration:
                nodePort: 30002
                port: 1515
              api:
                nodePort: 30003
                port: 55000
          workers:
            type: NodePort
            nodePorts:
              agentsEvents:
                nodePort: 30001
                port: 1514
        ingress:
          enabled: false
          hostnames: []
          tls: false
          issuer:
            name: ''
        persistence:
          enabled: true
          accessMode: ReadWriteOnce
          size:
            redis: 1Gi
            rabbitmq: 100Mi
            monitor: 100Mi
          storageClass: ''
          kanister:
            enabled: false
            schedule: '0 0 * * *'
